# Generated by Django 4.2.16 on 2025-02-07 08:39

from django.db import migrations, models

import integreat_cms.cms.models.fields.truncating_char_field


class Migration(migrations.Migration):
    dependencies = [
        ("cms", "0113_alter_event_end"),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name="contact",
            name="contact_singular_empty_point_of_contact_per_location",
        ),
        migrations.RemoveConstraint(
            model_name="contact",
            name="contact_non_empty",
        ),
        migrations.RenameField(
            model_name="contact",
            old_name="point_of_contact_for",
            new_name="area_of_responsibility",
        ),
        migrations.AlterField(
            model_name="contact",
            name="area_of_responsibility",
            field=integreat_cms.cms.models.fields.truncating_char_field.TruncatingCharField(
                blank=True, max_length=200, verbose_name="area of responsibility"
            ),
        ),
        migrations.AddConstraint(
            model_name="contact",
            constraint=models.UniqueConstraint(
                models.F("location"),
                condition=models.Q(("area_of_responsibility", "")),
                name="contact_singular_empty_area_of_responsibility_per_location",
                violation_error_message="Only one contact per location can have an empty area of responsibility.",
            ),
        ),
        migrations.AddConstraint(
            model_name="contact",
            constraint=models.CheckConstraint(
                check=models.Q(
                    models.Q(("area_of_responsibility", ""), _negated=True),
                    models.Q(("name", ""), _negated=True),
                    models.Q(("email", ""), _negated=True),
                    models.Q(("phone_number", ""), _negated=True),
                    models.Q(("website", ""), _negated=True),
                    _connector="OR",
                ),
                name="contact_non_empty",
                violation_error_message="One of the following fields must be filled: area of responsibility, name, e-mail, phone number, website.",
            ),
        ),
    ]
